# comment out when not a git snapshot
%define date	git20240326
%define commit	df3f289

Name:		bookworm
Version:	1.1.2
Release:	%mkrel %{?date:6.%{date}.}2
Summary:	A simple E-book reader
License:	GPLv3+
Group:		Office/Utilities
URL:		https://babluboy.github.io/bookworm
#Source0:	https://github.com/babluboy/bookworm/archive/%%{version}/%%{name}-%%{version}.tar.gz
Source0:	%{name}-%{version}+%{date}.tar.gz
# https://github.com/babluboy/bookworm/pull/391
Patch1:		0001-Switch-from-webkit2gtk-4.0-to-4.1.patch
BuildRequires:	meson
BuildRequires:	imagemagick
BuildRequires:	vala
BuildRequires:	pkgconfig(gee-0.8)
BuildRequires:	pkgconfig(granite)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(poppler-glib)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(webkit2gtk-4.1)
# Check list of dependencies
BuildRequires:	html2text
BuildRequires:	poppler
BuildRequires:	python3

Requires:	contractor
Requires:	html2text
Requires:	poppler
Recommends:	unrar
Recommends:	unzip

%description
An eBook reader for Elementary OS.

It uses poppler for decoding and read formats like EPUB, PDF, mobi, cbr, etc.

%prep
%autosetup -p1 -n %{name}-%{version}%{?date:-%{commit}}

chmod -x AUTHORS
# python shebang
%py3_shebang_fix data/scripts/mobi_lib/*

%build
%meson

%meson_build

%install
%meson_install

ln -s %{_bindir}/com.github.babluboy.%{name} %{buildroot}%{_bindir}/%{name}

# remove executable flags
find %{buildroot} -name \*.txt -exec chmod 0644 {} +

%find_lang com.github.babluboy.bookworm

%files -f com.github.babluboy.bookworm.lang
%license COPYING
%doc AUTHORS README.md
%{_bindir}/%{name}
%{_bindir}/com.github.babluboy.%{name}
%{_datadir}/applications/com.github.babluboy.%{name}.desktop
%{_datadir}/glib-2.0/schemas/com.github.babluboy.%{name}.gschema.xml
%{_iconsdir}/hicolor/*/apps/*%{name}*.??g
%{_metainfodir}/com.github.babluboy.%{name}.appdata.xml
%{_datadir}/com.github.babluboy.%{name}/


%changelog
* Sun Mar 16 2025 wally <wally> 1.1.2-6.git20240326.2.mga10
+ Revision: 2164739
- rebuild for libxml2 2.13.6

* Thu Apr 25 2024 daviddavid <daviddavid> 1.1.2-6.git20240326.1.mga10
+ Revision: 2060889
- update to latest git snapshot from 20240326

* Sat Oct 22 2022 wally <wally> 1.1.2-5.mga9
+ Revision: 1898450
- rebuild with webkit2gtk-4.1

* Sat Apr 02 2022 umeabot <umeabot> 1.1.2-4.mga9
+ Revision: 1840385
- Mageia 9 Mass Rebuild

* Fri Mar 26 2021 daviddavid <daviddavid> 1.1.2-3.mga9
+ Revision: 1710381
- rebuild for new granite 6.0.0

* Mon Feb 01 2021 daviddavid <daviddavid> 1.1.2-2.mga8
+ Revision: 1674358
- port to python3

* Thu Feb 20 2020 daviddavid <daviddavid> 1.1.2-1.mga8
+ Revision: 1545643
- new version: 1.1.2
- switch to meson build system

* Thu Feb 20 2020 umeabot <umeabot> 1.1.1-2.mga8
+ Revision: 1545599
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sat Feb 02 2019 daviddavid <daviddavid> 1.1.1-1.mga7
+ Revision: 1362383
- initial package bookworm

